Subject: Re: Bug#398658: lintian: Please detect unconditional use of some nonessential pkgs during purge

From: Russ Allbery <[email-masked]>
Date: Sat, 04 Jun 2011 11:49:28 -0700

Niels Thykier <[email-masked]> writes:

> Perhaps we should mark this as wontfix and leave this to piuparts?  I
> admit that Lintian is probably more used than piuparts by developers
> (and it would catch this issue pre-upload).  Nevertheless we have not
> done anything about this for 4+ years and alternatives exists.

I think we could do a better job of this than puiparts, since we can check
all the various branches and alternatives, not just the default case.
This is one of those open wishlist bugs that I was considering sort of
"soft-blocked" on the long-term, major project of integrating a real shell
parser into Lintian.

-- 
Russ Allbery ([email-masked])               <http://www.eyrie.org/~eagle/>